import { Component } from '@angular/core'

@Component({
  selector: 'dark-icon',
  standalone: true,
  template: `
    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 551 634">
      <path
        fill="currentColor"
        d="M312.297 99v7c0 27-12 40-37 40s-36-13-36-40v-7c0-26 11-39 36-39s37 13 37 39m74 32l5-6c15-22 33-25 52-11c20 14 23 33 8 55l-6 5c-15 22-33 25-52 10c-20-14-22-31-7-53m-226-6l4 6c15 22 13 39-6 53c-20 15-39 12-54-10l-4-5c-15-22-13-41 6-55c20-14 39-9 54 11m115 66c85 0 155 70 155 156c0 85-70 154-155 154c-86 0-155-69-155-154c0-86 69-156 155-156m-224 44l7 2c26 8 34 23 27 47c-8 24-24 31-49 23l-7-2c-25-8-34-23-27-47c8-24 24-31 49-23m441 2l7-2c26-8 42-1 49 23s-1 39-27 47l-6 2c-26 8-42 1-49-23c-8-24 1-39 26-47m-217 196c47 0 86-39 86-86c0-48-39-87-86-87c-48 0-87 39-87 87c0 47 39 86 87 86m-246-45l7-2c25-8 41-2 49 22c7 24-1 39-27 47l-7 2c-25 8-41 2-49-22c-7-24 2-39 27-47m486-2l6 2c26 8 34 23 27 47s-23 30-49 22l-7-2c-25-8-34-23-26-47c7-24 23-30 49-22m-415 139l4-6c15-22 34-24 54-10c19 14 21 31 6 53l-4 6c-15 22-34 24-54 10c-19-14-21-31-6-53m345-6l6 6c15 22 12 39-8 53c-19 14-37 12-52-10l-5-6c-15-22-13-39 7-53c19-14 37-12 52 10m-133 67v8c0 27-12 40-37 40s-36-13-36-40v-8c0-27 11-40 36-40s37 13 37 40"
      />
    </svg>
  `
})
export class DarkIcon {}
